Package org.eclipse.remote.core

## Interface IRemoteConnectionChangeListener

All Superinterfaces:
  `java.util.EventListener`

All Known Implementing Classes:
  `TelnetConnection`

    public interface IRemoteConnectionChangeListener
    extends java.util.EventListener

Listener used to register for notification of connection status changes. Listeners can be registered on individual connections using `IRemoteConnection.addConnectionChangeListener(IRemoteConnectionChangeListener)`, or globally for all connections using `IRemoteServicesManager.addRemoteConnectionChangeListener(IRemoteConnectionChangeListener)`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `connectionChanged​(RemoteConnectionChangeEvent event)` Notifies this listener that the status of a connection has changed.

### Method Detail

#### connectionChanged

    void connectionChanged​(RemoteConnectionChangeEvent event)

Notifies this listener that the status of a connection has changed.

Parameters:
  `event` - the connection change event
Since:
  2.0